#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="35g05"
SHA1SUM="3a19093115bcdde85a3dc1a73fbe91b52508518c"
URL="ftp://ftp.stack.nl/pub/xs-httpd"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain openssl"
##################################################

echo "This package is deprecated and nostromo is used for replacement, check it out."
exit 1

download_bz2 xshttpd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/xshttpd-${VERSION}.tar.bz2 &&
cd xshttpd-${VERSION} &&

patch_src xshttpd &&

sed -e 's|-O2|-Os|g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDTARGET} --prefix=/ --bindir=/sbin --sbindir=/sbin --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --libdir=/lib --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --disable-largefile --with-curl --with-ssl --with-rootdir=/var/www --without-pcre &&
sed -e 's|-I/usr/local/include -I/usr/include||g' -i Makefile src/Makefile libcompat/Makefile &&

make &&

make DESTDIR=${INSTALLDIR} install &&
rm -rf ${INSTALLDIR}/share &&
mv -v ${INSTALLDIR}/sbin/{clearxs,readxs,xsindex} ${INSTALLDIR}/usr/sbin/ &&

cd ${BUILDDIR} &&
rm -rf xshttpd-${VERSION}

