#!/bin/sh

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

echo "Content-type: text/html; charset=iso-8859-1"
echo ""

if [ -z ${QUERY_STRING} ] ; then
   echo "$0: No valid query."
   exit 1
fi
node=`echo ${QUERY_STRING%%&*} | sed -e 's|^node=||'`
doc=`echo ${QUERY_STRING#*&} | sed -e 's|^doc=||'`
if [ -z ${node} ] ; then
   echo "$0: No node specified."
   exit 1
fi
if [ -z ${doc} ] ; then
   echo "$0: No document specified."
   exit 1
fi
echo "`curl -6 --connect-timeout 5 -k -s --fail https://${node}/${doc}`"

